#ifndef _WKGFX_MP_CORE_H_
#define _WKGFX_MP_CORE_H_

class MEDIAtransportFileHook;
namespace WebCore
{
class MediaPlayerPrivateWiiU;
};
class MEDIApluginPlayerRendererConfig;
class MEDIApluginPlayer;
class MEDIAdecodedVideoFrame;

namespace MediaBridge {

void SetTransportFileHook(MEDIAtransportFileHook *hookP);
bool IsRegistryValid(void);
MEDIApluginPlayer *GetPlayer(const char* pXmlConfiguration, void *userDataP, const char *mimeTypeP);
void UpdateTimer(void);

struct MetaData
{
	int		m_width;
	int		m_height;
};

} // namespace MediaBridge

//! Dummy base class to make it possible to use RTTI to differentiate between internal and external player usage in video rendering code
class MediaInterfaceRenderingPlayerBase
{
public:
	virtual	void setMetaData(const MediaBridge::MetaData & metaData) = 0;
	virtual	void useImage(const MEDIAdecodedVideoFrame *pImage) = 0;	// could be render, could be setImage!
};


#endif // _WKGFX_CLIPOP_H_
